\documentclass[a4paper,10pt]{article}
\usepackage{latexsym}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{bm}
\usepackage{graphicx}
\usepackage{wrapfig}
\usepackage{fancybox}
\pagestyle{plain}

\begin{document}

AnalysisofAQMqueueswithqueuesizebasedpacketdropping
\begin{center}
\includegraphics[width=180.00mm,height=9.54mm]{./Analysis_of_AQM_queues_with_queue_size_based_packet_dropping_images/image001.eps}
\end{center}
573

(B) the gentle RED (GRED) dropping function:

$d_{n}= \left\{\begin{array}{ll}
0 & \mathrm{i}\mathrm{f}\ n\leq 1,\\
0.\ 04460n-0.04460 & \mathrm{i}\mathrm{f}\ 1<n<7,\\
0.\ 24414n-1.44140 & \mathrm{i}\mathrm{f}\ 7\leq n<10,\\
1 & \mathrm{i}\mathrm{f}\ n\geq 10,
\end{array}\right.$

(60)

(C) the REM dropping function:

$d_{n}= \{$

$0$ ifn $\leq 4,$

$-0.54085e^{-n+4}+0.54085$ if4 $<n<10,$ 1 ifn $\geq 10,$

(61)

(D) the non-increasing (NI) dropping function:

$d_{n}= \left\{\begin{array}{ll}
-0.08387n+0.41936 & \mathrm{i}\mathrm{f}\ n\leq 5,\\
0 & \mathrm{i}\mathrm{f}\ 5<n<10,\\
1 & \mathrm{i}\mathrm{f}\ n\geq 10.
\end{array}\right.$

(62)

All these dropping functions are depicted in Fig. 1.

All the dropping functions $(\mathrm{A})-(\mathrm{D})$ were carefully parameterized in order to force the average queue size equal to 3 when $\rho = 1$ (this will be further commented on at the end of this section).

Now we can present the numerical results. In Table 1 and Fig. 2, results for $\rho = 1$ are shown. In particular, in Table 1 the average queue size at an arbitrary time, the standard deviation of the queue size, the loss ratio, the full and empty buffer probability are presented, while in Fig. 2, detailed distributions of the queue size at an ar- bitrary time are depicted. We see that the loss ratio and the queue size deviation may differ significantly, depen- ding on the dropping function, even though the average queue size is common. For instance, the loss ratio for the NI function is about 25\% while for the RED function it is about 9\%. Generally speaking, the more the dropping function is concentrated around low queue sizes, the hi- gher the loss ratio and the queue size deviation. Note also that in this example the empty system probability and the loss ratio are equal. This is connected with the fact that $\rho=1$ (see (51)).

In Table 3 and Fig. 3, results for $\rho = 2$ are presen- ted. The loss ratio is now almost the same for all dropping functions. This is connected with the fact that the system is strongly overloaded, the idle periods are very rare (see $P_{0})$ , and the loss ratio is close to the minimal possible va- lue of 1/2. Therefore, in this example we obtain four sys- tems with almost the same loss ratio but different average queue sizes and different queue size deviations. Especial- ly a low deviation in the queue size can be observed for the NI dropping function. This observation indicates that the dropping function can be used to design a system with a predictable queue size (in terms of a low queue size va- riance).

In Table 4 and Fig. 4, results for $\rho = 0.5$ are de- picted. From the practical point of view, this is the least interesting case, as for $\rho\ll 1$ the queue is stable and has a low average length even without the dropping function. However, even in this case, application of a specific drop- ping function can be beneficial, depending on what we are aiming at. For instance, the NI function gives a very low queue size (at the cost of a high loss ratio).

To check the correctness of the numerical results ob- tained by means of Theorems 1 and 2, we performed also a number of simulations using the Omnet $++$ network simu- lator ({\it Omnet}, 2011 . Several different dropping functions and system parameterizations were used, and simulation results always agreed very well with analytical results. $\mathrm{A}$ sample output for the RED dropping function and $\rho= 1$ is presented in Table 2. The queue size distribution was observed empirically upon arrivals of $10^{8}$ jobs (equivalent to 10 mins of work by the simulator).

Table 2. Analytical vs. simulation results for the RED dropping function and $\rho= 1.$

Characteristic

Analytical

Simulation

of interest

Average queue size

results 3.0000 1.8877

results 2.9991 1.8873

Std. $\mathrm{d}\mathrm{e}\mathrm{v}.$ Loss ratio
\begin{center}
\includegraphics[width=77.09mm,height=65.02mm]{./Analysis_of_AQM_queues_with_queue_size_based_packet_dropping_images/image002.eps}
\end{center}
$\mathrm{P}_{0} \mathrm{P}_{1} \mathrm{P}_{2}$ P3 $\mathrm{P}_{4}$ P5 $\mathrm{P}_{6}$ P7 $\mathrm{P}_{8}$ P9 $\mathrm{P}_{10}$

9.1281 $\times 10^{-2}$ 9.1281 $\times 10^{-2}$ 1.5684 $\times 10^{-1}$ 1.7822 $\times 10^{-1}$ 1.8217 $\times 10^{-1}$ 1.6764 $\times 10^{-1}$ 1.2088 $\times 10^{-1}$ 6.6513 $\times 10^{-2}$ 2.7031 $\times 10^{-2}$ 7.7614 $\times 10^{-3}$ 1.4733 $\times 10^{-3}$ 1.4668 $\times 10^{-4}$

9.1227 $\times 10^{-2}$ 9.1312 $\times 10^{-2}$ 1.5691 $\times 10^{-1}$ 1.7832 $\times 10^{-1}$ 1.8215 $\times 10^{-1}$ 1.6760 $\times 10^{-1}$ 1.2090 $\times 10^{-1}$ 6.6455 $\times 10^{-2}$ 2.6974 $\times 10^{-2}$ 7.7407 $\times 10^{-3}$ 1.4650 $\times 10^{-3}$ 1.4577 $\times 10^{-4}$

As mentioned above, all the dropping functions in this section were chosen so that the average queue size is equal to 3 for $\rho = 1$. This is a good example that the dropping function is a powerful tool. Instead of the avera- ge queue size, we could achieve a common loss ratio. The question arises what target queue sizes or loss ratios can be achieved. The natural bounds are given by the finite- buffer queue without the dropping function. For instance, for $\rho=1$ and $b=10$, in the simple finite-buffer model the average queue size is 5.0650 and the loss ratio is 0.05085. Therefore, using dropping functions we can obtain a sys- tem with any average queue size in the interval $[0$, 5.0650$]$ or a system with any loss ratio in the interval [0.05085, 1. The potential of the presented results for improve- ment of known algorithms (e.g., RED, GRED, REM) and development of new algorithms is twofold.
\end{document}
